EDIT - feature request #7806

GfBio Term Search issues
10/04/2018 11:34 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

¢ Only use "search" endpoint
¢ Use interal_only flag

¢ Allow wildcard (*) search

¢ Move ontology abbreviation to the end of the term label

show search result count

sort results ** search term at the beginning > search term length > alphabetically

Related issues:
Has duplicate EDIT - feature request #7805: GfBio Term Search issues Duplicate

Associated revisions

Revision b5610bde - 10/05/2018 08:42 AM - Patrick Plitzner

ref #7806 Move ontology abbreviation to the end of the term label

Revision 341c6293 - 10/05/2018 08:42 AM - Patrick Plitzner

ref #7806 show search result count

e also remove "Load details" button

Revision 9e521¢57 - 10/05/2018 08:42 AM - Patrick Plitzner

ref #7806 Implement selection dialog for ontologies

Revision efab2544 - 10/05/2018 08:42 AM - Patrick Plitzner
ref #7806 small label change

Revision 9f8¢cd368 - 10/05/2018 08:42 AM - Patrick Plitzner
ref #7806 Sort result list

Revision e2¢c16f04 - 10/05/2018 08:42 AM - Patrick Plitzner
ref #7806 Handle wildcard search

Revision 2984¢728 - 10/05/2018 08:47 AM - Patrick Plitzner

ref #7806 Make description text scrollabel and multi-line

Revision 4¢8b61dd - 10/22/2018 12:30 PM - Patrick Plitzner
ref #7806 Change search syntax

Revision a77e70cf - 10/22/2018 01:09 PM - Patrick Plitzner
ref #7806 Add timeout to web requests

Revision 72774356 - 10/26/2018 08:15 AM - Patrick Plitzner

ref #7806 Add warning for long running searches

Revision ¢2527228 - 10/26/2018 08:24 AM - Patrick Plitzner
ref #7806 Do not set dirty flag when voc selection was canceled

Revision 54457{88 - 10/31/2018 10:38 AM - Patrick Plitzner
ref #7806 Fix URL compilation for gfbio term search

History

#1 - 10/05/2018 08:43 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

#2 - 10/19/2018 02:59 PM - Patrick Plitzner

- Target version changed from Release 5.4 to Release 5.5

#3 - 10/22/2018 09:52 AM - Patrick Plitzner

- Has duplicate feature request #7805: GfBio Term Search issues added

#4 - 11/22/2018 12:05 PM - Patrick Plitzner
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
